LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTextViewCursorSupplier Interface Referencepublished

supplies access to the cursor in the view. More...

`import"XTextViewCursorSupplier.idl";`

Inheritance diagram for XTextViewCursorSupplier:

## Public Member Functions
com::sun::star::text::XTextViewCursor | getViewCursor ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supplies access to the cursor in the view.

This cursor is the same instance that is available in the user interface.

See also
  TextDocumentView

## Member Function Documentation

## ◆ getViewCursor()

com::sun::star::text::XTextViewCursor getViewCursor | ( |  | ) |

Returns
  the cursor of the document view.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextViewCursorSupplier.idl